/* _________________________________________________

For: tommymcmichen.com
Original Author: Tommy McMichen
URL: http://www.tommymcmichen.com/
____________________________________________________

GLOSSARY:

  NORMALIZE (instead of reset)

  ROOT
  TYPOGRAPHY
  BASE STYLES
    -LINKS
    -FIGURES & IMAGES
    -TABLES
    -FORMS
  STRUCTURE
    -HEADER
    -FOOTER
    -MAIN STRUCTURE
  GENERAL CONTENT
  ...
  MEDIA QUERIES
  UTILITY CLASSES
  PRINT QUERIES

`COLOURS`:
  colorname : #value ;

____________________________________________________ */


/*  `ROOT`
------------------------------------------------------------------*/

html, body, div, span, applet, object, iframe, h1, h2, h3, h4, h5, h6, p, blockquote, pre, a, abbr,
acronym, address, big, cite, code, del, dfn, em, img, ins, kbd, q, s, samp, small, strike, strong,
sub, sup, tt, var, b, u, i, center, dl, dt, dd, ol, ul, li, fieldset, form, label, legend, table,
caption, tbody, tfoot, thead, tr, th, td, article, aside, canvas, details, embed, figure, figcaption,
footer, header, hgroup, menu, nav, output, ruby, section, summary, time, mark, audio, video {
	margin: 0;
	padding: 0;
	border: 0;
	font-size: 100%;
	font: inherit;
	vertical-align: baseline;
}

article, aside, details, figcaption, figure, footer, header, hgroup, menu, nav, section {
	display: block;
}

body {
	line-height: 1;
}

ol, ul {
	list-style: none;
}

blockquote, q {
	quotes: none;
}

blockquote:before, blockquote:after, q:before, q:after {
	content: '';
	content: none;
}

table {
	border-collapse: collapse;
	border-spacing: 0;
}

body {
	-webkit-text-size-adjust: none;
}

/*  TYPOGRAPHY
------------------------------------------------------------------*/

body {
	display: block;
	margin: 0px auto;
	background-color: #efefef;
}

h1, 
h2, 
h3, 
h4, 
h5, 
h6 {
	font-family: 'Raleway', sans-serif;
	font-weight: 300;
	line-height: 1;
	letter-spacing: 0em;
}
h1 { /* Name */
	font-size: 1.2em;
	font-weight: bold;
	letter-spacing: 0em;
	
}
h2 { /* Subtitle */
	font-size: 3em;
	text-transform: uppercase;
	letter-spacing: -0.05em;
	font-weight:600;
}
h3 { /* Section Title */
	font-size: 1.5em;
	font-weight:600;
}
h4 { /* Sub-subtitle */
	font-size: 1.2em;
	text-transform: lowercase;
	line-height: 1.7;
	font-weight:500;
}
h5 { 
	font-size: 1.25em;
}
h6 { 
	font-size: 1.1em;
}

p, 
ol, 
ul, 
dl, 
a { 
	font-family: 'Raleway', sans-serif;
	font-size: 1em;
	font-weight: 300;
	line-height: 2;
	letter-spacing: 0em;
	text-decoration: none;
}

a:hover,
a:active,
a:visited {
	font-family: 'Raleway', sans-serif;
	font-size: 1em;
	font-weight: 300;
	line-height: 2;
	letter-spacing: 0em;
	text-decoration: none;
}

a:-webkit-any-link {
	text-decoration: none;
}
ul, 
ol { 
  
}
ul {}
ol {}
li ul, 
li ol { 
  font-size: 1em;
}

dl, 
dd {}
dt {}

blockquote  {}

b, 
strong  {}
i, 
em {}

sup, 
sub { 
  font-size: 75%; 
  line-height: 0;
  position: relative;
}
sup { 
  top: -.5em;
}
sub { 
  bottom: -.25em;
}

pre { 
  white-space: pre; 
  white-space: pre-wrap; 
  word-wrap: break-word;
}

pre, 
code { f
  font: .875em 'andale mono', 'lucida console', monospace; 
  line-height: 1.5;
}


/*  `BASE STYLES`
------------------------------------------------------------------*/
/*-- ~LINKS --*/

/*-- ~FIGURES & IMAGES --*/

/*-- ~TABLES --*/

/*-- ~FORMS --*/


/*  `HEADER/FOOTER`
------------------------------------------------------------------*/
#header {
	position: fixed;
	display: block;
	width: 100%;
	height: 58px;
	background: #23272c;
	z-index: 9;
	text-align: center;
	color: #efefef;
	padding: 0 0;
	top: 0px;
}

/*  `MAIN STRUCTURE`
------------------------------------------------------------------*/


/*  `GENERAL CONTENT`
------------------------------------------------------------------*/
/* All Panels */

.section-slate {
	background-color: #23272c;
	color: #efefef;
}

.section-gray {
	background-color: #efefef;
	color: #23272c;
}

/* Navbar */
.nav {
	position: absolute;
	height: 36px;
	margin: 10px;
	text-align: center;
	vertical-align: middle;
}

.brand,
.nav-fill {
	transition: 0.5s ease-out;
	-o-transition: 0.5s ease-out;
	-moz-transition: 0.5s ease-out;
	-webkit-transition: 0.5s ease-out;
	background-color: #23272c;
	color: #efefef;
	margin: 10px;
}

.nav-fill,
.nav-fill:visited {
	font-family: 'Raleway', sans-serif;
	color: #efefef;
	font-size: 18px;
	font-weight: 600;
	letter-spacing: 0.02em;
}

.nav-fill:hover,
.nav-fill:active {
	color: #23272c;
	background-color: #efefef;
	font-size: 18px;
	font-weight: 600;
	letter-spacing: 0.02em;
}

.brand {
	font-size: 18px;
	font-weight: 600;
	letter-spacing: 0.02em;
}

.brand:hover {
	background-color: #efefef;
	color: #23272c;
	font-size: 18px;
	font-weight: 600;
	letter-spacing: 0.02em;
}

/* Icons */
.social-slate, 
.social-slate:visited, 
.social-slate:hover, 
.social-slate:active, 
.social-gray, 
.social-gray:visited, 
.social-gray:hover, 
.social-gray:active {
	transition: 0.25s linear;
	font-family: untitled-font-1;
	font-size: 2em;
	text-decoration: none;
	letter-spacing: 0.5em;
	line-height: 0em;
}

.social-slate, 
.social-slate:visited {
	color: #23272c;
}

.social-slate:hover,
.social-slate:active {
	color: #12233c;
}

.social-gray, 
.social-gray:visited {
	color: #efefef;
}

.social-gray:hover,
.social-gray:active {
	color: #bdbed1;
}

/* Changing title */
.title-anim {
    animation: animate infinite 3s;
}

.title-anim::before {
    content: "Computer Scientist";
}

@keyframes animate {

    0% {
        content: "Computer Scientist";
    }

    33% {
        content: "Compiler Engineer";
    }

    67% {
        content: "Computer Engineer";
    }
}

/* Slides */
#fp-nav ul li a span,
.fp-slidesNav ul li a span {
	background: #efefef;
}

.fp-controlArrow.fp-next,
.fp-controlArrow.fp-prev {
	border-width: 0px;
	border-color: transparent;
}

.inline-icon {
	font-size: 2em;
}

/*  `SPECIFIC PAGE`
------------------------------------------------------------------*/
/* Home */
.home-title {
	position: absolute;
	right: 0;
	left: 0;
}

/*  'MEDIA QUERIES'
------------------------------------------------------------------*/
